Printer Driver Installer (Version 1.0)

Printer Driver Installer

Introduction

Operating system

Printer Driver Installation

Silent Installation

Printers with a parallel port

Printers with a serial port

Printers with a USB port

Printers with a NET port

Printer Driver Uninstalling

Printer Driver Uninstalling

Release Notes

Release notes

Appendices

FAQ

How to use the driver in Windows Vista

How to use the driver in Windows 7

How to install USB printer mode driver in Windows 8


Printer Driver Installer

Introduction

This installer is used to install the Windows printer driver for label printer etc. In order to use the software correctly , please read the detailed information carefully.

Silent Installation

Printers with a parallel port

Printers with a serial port

Printers with a USB port

Printers with a NET port

Printers: VLP2824.

Release information:

Version: 1.0

Release date: 05/12/2014(DD/MM/YYYY)

Changes: First release.
¡¡


Printer Driver Installer

Operating system

Supporting the following operating systems:

32 bit OS:
  • Windows 8
  • Windows 7
  • Windows Server 2008
  • Windows Vista
  • Windows Server 2003
  • Windows XP
  • Windows 2000

64 bit OS:

  • Windows 8 x64
  • Windows 7 x64
  • Windows Server 2008 x64
  • Windows Vista x64
  • Windows Server 2003 x64
  • Windows XP x64

Printer firmware release

V2.000 or higher.

Compatibility

The installation package and the related documents apply to printers with the firmware version 2.000 and higher.


LPTPrtDrv

Printer Driver Installation

Silent Installation

1.Run "Silent_Setup.exe" in "Setup_VLLabelPrn(BPLZ&E)_EN". Default port type is USB in the installing. If you will change port type , open "DRVCONFIG\PrinterConfig.ini" and modify the port.

Notice: You can read the "Silent_Setup.Log" file to check whether the driver install successfully or unsuccessfully.


Printer Driver Installation

Printers with a parallel port

The installation for parallel port printer driver requires two steps: Step 1 installation of the parallel device drivers, and step 2 installation of the printer driver. Both are supplied with this driver installer.

If the parallel interface mode of the printer is Byte mode, when the printer is connected to PC for the first time, the system will recognize it as a new device and start the "Add New Hardware Wizard".

Follow the steps below to install the printer device driver:

Step 1: Install parallel device driver

1. click on the "Next" button;

2. select "search for a suitable driver for my device (recommended) " , and click on the "Next" button;

3. select "specify a location ",and click on the "Next" button;

4. click on the "Browse" button ,find the location of "Setup_VLLabelPrn(BPLZ&E)_EN", select " ...\PortDriverVx.xx\ByPortDriver.inf " ,click on the "OK" button;

5. click on the "finish" button to finish the wizard.

Step 2: Printer driver installation

1. Run Setup.exe in "Setup_VLLabelPrn(BPLZ&E)_EN", and read the legal agreement carefully. If you agree to the terms of this agreement, click on the "I Accept" button, and then click on "Next" button.

2. Select printer type and name of the printer that will be installed. If you want to set this printer as default in system, please select "Set As Default Printer" button, then click "Next" button.

3. Select the setup type "Typical", then click on "Next" button.

4. Select the current system, and then click on "Next" button.( Not support windows 2000 in 64bit OS )

5. Select port "LPT1" as printer port, and then click on "Install" button to start the installation.


Printer Driver Installation

Printer with a serial port

1. Run Setup.exe in "Setup_VLLabelPrn(BPLZ&E)_EN". Please read the legal agreement carefully. If you agree to the terms of this agreement, click on the "I Accept" button, and then click on "Next" button.

2. Select printer type and printer name to be installed. If you want to set this printer as default in system, please select "Set As Default Printer" button, then click "Next" button.

3. Select the setup type "Typical", then click on "Next" button.

4. Select current system type and click "Next" button.( Not support windows 2000 in 64bit OS )

5. Select "BYCOMx" as printer port, select "COMx" as printer port in 64 bit OS. After configuring relative parameter, click "Install" to start the installation.


USBPrtDrv

Printer Driver Installation

Printers with a USB port

Read this first if you plan a system with multiple USB printers

Important notices:

1. When you install the printer driver, you can only connect one printer to PC during system setup as instructed .

2. Mark each printer with a label after installing driver to properly identify each printer as setup during the installation. If you change the identification of a printer, please mark it with a label to avoid confusion during setup, usage and maintenance.

Connect one printer to PC, and then install the driver. The default printer inner name is VLP2824(U) 1.

Typical Installation

1) Run "Setup_VLLabelPrn(BPLZ&E)_EN\Setup.exe". Please read the legal agreement carefully. If you agree to the terms of this agreement, click on the "I Accept" button, and then click on "Next" button.

2) Select install module and the name of the printer that will be installed. If you want to set the current printer as the default printer, check "Set As Default Printer" button. Click on "Next" button.

3) Select the setup type: "Typical" , click on "Next" button.

4) Select the current system, and then click on "Next" button. ( Not support windows 2000 in 64bit OS )

5) Set printer port, select "USB_VLP2824_1" for USB API Mode printer;

Or select "USB00x" for USB Printer Mode printer.

6) Click "Install" to complete the installation.

Advanced Installation

Notices:
¡¡
USB Printer Mode: The same as the installation steps of "Typical Installation".

 USB API Mode: Steps as follows:

1) Run "Setup_VLLabelPrn(BPLZ&E)_EN\Setup.exe" file. Please read the legal agreement carefully. If you agree to the terms of this agreement, click on the "I Accept" button, and then click on "Next" button.

2) Select install module and the name of the printer that will be installed. If you want to set the current printer as the default printer, check "Set As Default Printer" button. Click on "Next" button.

3) Select the setup type: "Advanced" , click on "Next" button.

4) Select the current system and click "Next" button.( Not support windows 2000 in 64bit OS )

5) Set the printer port. Select "USB_VLP2824_x" as printer port, click on "Install" button. If the name of port (_x) can not match the name of the current printer, the system will inform you that the printer inner name will be changed. Click on "Yes" button to continue if you want to change the inner name of the printer, at the same time the installation ends; otherwise click on "No" button to return to the main interface, select other port and continue the installation.

6) You will see a warning. Do the following steps according to the notice then click on "Install" to start the installation.

7) If the name of port (_x) can not match the name of the current printer, the system will inform you that the printer inner name will be changed. Click on "Yes" button to continue if you want to change the inner name of the printer, at the same time the installation ends; otherwise click on "No" button to return to the main interface, select other port and continue the installation.

If you want to install Multi-USB printers, please refer to "Install Multi-USB printers".

8) If you change the inner name of printer, advise to mark the name of current printer with a label.

Install Multi-USB printers

Introduction

Usually we only use one printer on one system. You do not have to read this whole section if that describes your application. But some users may want to use more than one same kind of USB printers on one system for different purposes. Therefore, we give a feasible solution to meet this requirement. The innovation with one printer works always out of the box without advanced installation requirements. This example describes how a setup for four USB printers will work. It is similar for parallel and serial printers.

Naming Conventions

To ease the reading please note that the naming conventions are chosen closely to the actual printer model numbering and new port name assignment (created) in Windows:

  • A printer is starting with its model number; "VLP2824", for example "VLP2824(U) 1". Where the "(U)" stands for USB and the "1" stands for its sequential number or identifier.
  • The port numbering starts with its port technology; "USB", for example "USB_VLP2824_1". Where "VLP2824" stands for the printer model for this port assignment and "1" stands for the printer identification.

System Preparations

The first step to assure the application is setup consistently and easy to manage, the user should configure the printers to make sure that he knows which one is used for what and to number them as well. Please follow the following steps.

1) Put the printers on your desks with your computer.

2) Make four labels with the names VLP2824(U) 1, VLP2824(U) 2, VLP2824(U) 3 and VLP2824(U) 4. Of course the names may also be more descriptive for the actual application so that it is easier to be used in an actual installation. However we advice to at least put these strings on them since they match the port names that Windows will create once the system is configured properly. Attach the labels onto the printers, preferably visible and without the need that one has to search for it. An actual label may look like this:

Remark: you can not use two or more USB printers with the same identification at the same time.

The installation process is guided by this example to make it easier to understand the process to complete this installation.

The default identification of the VLP2824 printer with USB port is "VLP2824(U) 1". To have reliable and maintainable recognizing, the printer identification will be set as the same as the printer name during the installation. If you want to resume the primary name of the printer, please refer to " When to set the identification of a printer and how to do this".

Connection Table

Now you already have four different printers labeled VLP2824(U) 1, VLP2824(U) 2, VLP2824(U) 3 and VLP2824(U) 4 and four different printer drivers named VLP2824(U) 1, VLP2824(U) 2, VLP2824(U) 3 and VLP2824(U) 4 as well. They are obviously matched by their names. In short, printing to printer VLP2824(U) 1(2,3 or 4) will go to the printers labeled VLP2824(U) 1(2,3 or 4) as setup. The installer creates printers with matching names in the "Printers" folder. This makes system setup, driver installation and maintenance a lot easier. This description is guiding you toward the following setup table. You can change names of installed printer drivers and naming on the printers but this default method makes it quite easy to maintain. The driver installer will generate the names so that it will not require the user to perform keyboard input during the installation.

Printer Name (Label) | Printers (Folder) | Port Number (Printer)
VLP2824(U) 1 | VLP2824(U) 1 | USB_VLP2824_1
VLP2824(U) 2 | VLP2824(U) 2 | USB_VLP2824_2
VLP2824(U) 3 | VLP2824(U) 3 | USB_VLP2824_3
VLP2824(U) 4 | VLP2824(U) 4 | USB_VLP2824_4

This setup assures that whenever you connect your printer to the computer and whichever USB port you have plugged your printer in, it will still work without complications. Even if you make changes in the hardware configuration of your computer. It has become independent from system and configuration changes.

Install printer driver

During the installation, you can only connect one printer to system, and disconnect the other printers.

Install driver for printer VLP2824(U) 1:

  • Connect VLP2824(U) 1 printer to PC .
  • Use "Advanced installation" to install driver. Details refer to "Advanced installation". Select "USB_VLP2824_1" as printer port at step 7 of "Advanced installation", and continue to finish the installation.
  • The driver name of installed printer: VLP2824(U) 1.

Install driver for VLP2824(U) 2 printer:

  • Connect VLP2824(U) 2 printer to PC.
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "USB_VLP2824_2" as printer port at step 7 of "Advanced installation", and continue to finish the installation.
  • The driver name of installed printer: VLP2824(U) 2.

Install driver for VLP2824(U) 3 printer:

  • Connect VLP2824(U) 3 printer to PC .
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "USB_VLP2824_3" as printer port at step 7 of "Advanced installation", and continue to finish the installation.
  • The driver name of installed printer: VLP2824(U) 3.

Install driver for VLP2824(U) 4 printer:

  • Connect VLP2824(U) 4 printer to PC .
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "USB_VLP2824_4" as printer port at step 7 of "Advanced installation", and continue to finish the installation.
  • The driver name of installed printer: VLP2824(U) 4.

Application

Connect the 4 printers to the same PC, you can control each printer with corresponding driver.

Printing with this system

An example using Microsoft Word: When you want to print a document, first select the printer, for example VLP2824(U) 1 as current printer, to do this you select the corresponding printer driver of VLP2824(U) 1. When you print, the printer driver VLP2824(U) 1 will send data through the port of USB_VLP2824_1 to the printer labelled VLP2824(U) 1. The printer VLP2824(U) 1 will print and finish the printing job.

It is the same step if you select VLP2824(U) 2 printer, the printing job will be sent to printer labelled VLP2824(U) 2, not another printer. This specific function is called Multi-printer for printers of the same model in the same system, without disturbing each other.


Printer Driver Installation

Printers with a NET port

1. Run Setup.exe in "Setup_VLLabelPrn(BPLZ&E)_EN", and read the legal agreement carefully. If you agree to the terms of this agreement, click on the "I Accept" button, and then click on "Next" button.

2. Select printer type and name of the printer that will be installed. If you want to set this printer as default in system, please select "Set As Default Printer" button, then click "Next" button.

3. Select the setup type "Typical", then click on "Next" button.

4. Select the current system, and then click on "Next" button.( Not support windows 2000 in 64bit OS )

5. Select port "NET" as printer port, and then set IP Address, then click on "Install" button to start the installation.


Printer Driver Uninstalling

· Uninstall the printer driver by uninstall
· Uninstall the printer driver by manual operation

Uninstall the printer driver by uninstall

1. Run the "Uninstall.exe" to select printers and their components to be uninstalled. You can click "Select All" button to select all.

2. Click "Uninstall" button to uninstall the printer which you have selected.

3. After the uninstalling process is finished, please click "Yes" to restart the computer so that the changes can take effect.

Notice: 1. The part of using the USB printer in printer/WinDriver mode need to uninstall by manual operation in Windows Vista/Windows Server 2008/Windows 7.

2. Except the USB printer in printer/WinDriver mode must be uninstalled by manual operation, the printer driver of the other mode and ports can be uninstalled by "Uninstall.exe".

Uninstall the printer driver by manual operation

U ninstall the printer driver in Windows 7

1. Open the "Devices and Printers" window in the Windows 7, choose the printer which to be uninstalled, and then choose "Print server properties" just like the picture below show.

2. Choose the "Drivers" in the top of the dialog box, click the "Change Driver Settings" in the bottom right corner. Just like the picture below show:

3. Choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...". Just like the picture below show:

4. Choose "Remove driver and driver package" in the dialog box. Just like the picture below show:

U ninstall the printer driver in Windows Server 2008

1. Open the "Printers" window in Windows Server 2008, choose the printer which to be uninstalled, right-hand button click to choose" Remove device", and then choose "Server Properties".

2. Choose the "Drivers" in the top of the dialog box, choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...".

3. Choose "Remove driver and driver package" in the dialog box.

U ninstall the printer driver in Windows Vista

1. Open the "Printers" window in Windows Vista, choose the printer which to be uninstalled, right-hand button click to choose "Run as administrator->Remove device", and then choose "Run as administrator->Server Properties".

2. Choose the "Drivers" in the top of the dialog box, choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...".

3. Choose "Remove driver and driver package" in the dialog box.


remarks

Release Notes

  1. When to use "Advanced Installation" mode?
  2. Why to name the Serial Port as "BYCOMx" ?
  3. Why waiting such a long time during installation?
  4. When to set the identification of a printer and how to do this?
  5. When will the confirm information of changing the inner name of printer Pop-up?

1. When to use "Advanced Installation" mode ?

Advanced installation: mainly for the customers with special requirements for the printer driver, this installation mode supports Multi-USB printer installation and driver output mode settings.

Advanced installation mode can support Multi-USB printers of the same model in the same system by setting the printer name and installing corresponding printer driver. During the installation, according to the requirements, the installer will set the USB printer name for easy maintenance and usage.

Advanced installation mode supports setting function on the driver output mode for those user who use Parallel or USB printers. According to application, users can select the right output driver; if you want to print bar supplied by the driver then you must uncheck "Raster Graphics mode". In case you want to print bar codes rendered as graphics by the application then you should check "Raster Graphics mode".

2. Why to name the Serial Port as "BYCOMx"?

When you install driver for a serial printer, select "BYCOMx" port to replace "COMx". "BYCOMx" port can resolve the problem printing failure due to its short timeout value using serial communication ports (COMx) .

3. Why waiting such a long time during installation?

To install printer driver under Windows XP and other systems, it may take a long time. There are two possible reasons: one is the shortage of system resources; the other is the program to upgrade relevant components, this upgrade needs much time in Windows, so please wait patiently. If there is no response after waiting long time, please close the program and restart the PC to reinstall the driver.

4. When to set the identification of a printer and how to do this?

Note: this section only applies to systems with multiple USB printers. Installations with only one USB printer or printers with other communication ports are not affected.

If a USB printer needs to be replaced, the identification name of new printer may not match the identification name of replaced printer, in this case you should set the name of the printer.

Method to set the identification name of the printer:

To set the printer name by using driver installation program.

  • connect the printer to PC.
  • using "Advanced installation" mode to install driver, details refer to " Advanced installation" mode. Select USB port that should match the name of target printer as printer port at step 7 of "Advanced installation" mode, for example, if the target printer name is "PrinterName(U) 3", then please select "USB_PrinterName_3" as printer port, the program will give you the information on changing the printer name, click "Yes" to continue, and the program will change the identification name of printer, then you can continue the other step to complete the installation.
  • Please do not forget to mark the printer with label, and then finish the setup.

5. When will the confirm information of changing the inner name of printer Pop-up?

When you install driver for USB port printer, if the port name you select (e.g. USB_PrinterName_3) does not match the current printer name (e.g. PrinterName(U) 1), the program will show you the information to change the printer name, click "Yes" to continue, the program will change the printer identification name (the changed identification will match the port name, i.e. "PrinterName(U) 3").

When you install driver for USB port printer, if the port name you select (e.g. USB_PrinterName_3) does not match the current printer name (e.g. PrinterName(U) 1), the program will show you the information to change the printer name, click "Yes" to continue, the program will change the printer identification name (the changed identification will match the port name, i.e. "PrinterName(U) 3").


troubleshooting

Appendix: FAQ

A.1 When serial printer prints junk characters, how to solve it?

Most common the reason of printing junk characters is that the setting of serial port is incorrect. First you should make the printer print self-test page to get the setting information. Please refer to "how to print self-test page"; Please set correctly the COM port based on the setting information on the self-test page to ensure the printer can work normally.

A.2 How to use the network printing server of other brands with the printer?

To use a network printing server, following these steps: To install the server driver, you should refer to the user's manual given by the manufacturer. Normally, when you install the server driver, the IP address or other relevant name will be added in the printer port list as the name of printer port. To have a clear description, we name them as printing server port; According to the type of printing port you use (such as parallel printer), please run the setup.exe to install the printer driver( select LPT1 as printer port for parallel printer); Select the printing server port as the printing port in the printer driver property menu.

A.3 How to self-define paper size under Windows 2000\Windows XP\Windows Server 2003\Windows Vista\Windows Server 2008\Windows 7\Windows 8 ?

Ensure system in operation; Single click "Start"; Single Click "Printer" or first single click "control board", then double click "Printer" icon in control board; Click "File" menu and click "Server properties" submenu; In "Format" menu, select check box before "Create new format". Then write self-defined paper name in "Format explanation". The unit uses "cm" in the metric system. According to requirement, self-define paper width, height, right/left margin and top/bottom margin of print zone. Single click "Store format" button; Single click "Confirmation" and finish self-definition of paper.

Notice: Don't allow to self-define paper size in page settings of word-editing software on windows 2000 or higher.


USBPrtDrv

Appendix: How to use the driver in Windows Vista

This instruction is created to show how to use the driver in Windows Vista, because in Windows Vista, UAC (User Account Control) is turned on by default, so there's something different in Windows Vista.

Notice: The pictures may be different from the current printer. The pictures are only used for reference.

Click on the links below to view FAQ in Windows Vista:

· How to set the size of "Custom Paper -PrinterName".
· How to turn off the UAC (User Account Control).

How to set the size of "Custom Paper -PrinterName".

In Windows Vista, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to select "Run as administrator" manual to obtain permission even the user have logged on as administrator, just like the picture below show.

After the user make the "Properties" menu selection, Windows Vista will pop-up a "User Account Control" dialog box, and show the information "Windows need your permission to continue", click “Continue”, and then click the "Utility" tab.

Input the custom paper size (Width and Height in 0.1mm) of the "Custom Paper -PrinterName" form and click "Set" button to save the setting.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Turn User Account Control on or off".

Uncheck the "Use User Account Control (UAC) to help protect your computer" check box, click "OK" button.

Click "Restart Now" button to restart the computer to make the change take effect.


Win7

Appendix: How to use the driver in Windows 7

This instruction is created to show how to use the driver in Windows 7, because in Windows 7, UAC (User Account Control) is turned on by default, so there's something different in Windows 7.

Notice: The pictures may be different from the current printer. The pictures are only used for reference.

Click on the links below to view FAQ in Windows 7:

· How to change the serial port parameters in Windows 7.
· How to turn off the UAC (User Account Control).

How to change the serial port parameters in Windows 7.

In Windows 7, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to run as administrator to obtain permission even the user have logged on as administrator, pitch on the printer that you have installed, click on "Print server properties" button, just like the picture below show.

Click on "Change Port Settings" button to run as administrator, just like the picture below show.

Select the current port that you want to configure, then click on "Configure Port" button, just like the picture below show.

After finished configuring the parameters, click on "OK" button, just like the picture below show.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Change User Account Control settings".

Drag the scroll bar to "Never notify", click "OK" button.

Restart the computer to make the change take effect.


USBPrtDrv

Appendix: How to install USB printer mode driver in Windows 8

How to install USB printer mode driver in Windows 8.

In Windows 8, move the mouse to the lower right corner, when the setting icon appear, click it, just like the picture below show.

Click on "Change PC Settings" , just like the picture below show.

Click on "General" button or "Update and recovery -> Recovery" button, then click on "Restart now " in left dialog, just like the picture below show.

Click on "Troubleshoot" button, just like the picture below show.

Click on "Advanced options" button, just like the picture below show.

Click on "Startup Settings", just like the picture below show.

Click on "Restart", just like the picture below show.

After restart the computer, click "7)Disable driver signature enforcement", just like the picture below show.

Run "Setup_VLLabelPrn(BPLZ&E)_EN\Setup.exe" to install USB class mode printer driver.